//
//  EventHandler.m
//  MVV
//
//  Created by Eivind Danielsen on 15.03.09.
//  Copyright 2009 NTNU. All rights reserved.
//

#import "EventHandler.h"

@implementation EventHandler

- (void)mouseDown:(NSEvent *)theEvent {
	dragged = FALSE;
	[[NSCursor closedHandCursor] push];	
}
	
- (void)mouseUp:(NSEvent *)theEvent {
	[NSCursor pop];
	NSPoint p;

	if (dragged == TRUE) {
		dragged = FALSE;
		p = [theEvent locationInWindow];
		[docu updateMovieView:self andPoint:p];
	}
	else {
		if ([theEvent clickCount] == 1) {
			[docu handleMovieViewClick:self];
		}
	
		if ([theEvent clickCount] == 2) {
			if ( [self frame].size.width > 500 ) {
				if (![self isInFullScreenMode]) {
					[self enterFullScreenMode:[NSScreen mainScreen] withOptions:nil];
				}
				else if ([self isInFullScreenMode]) {
					[self exitFullScreenModeWithOptions:nil];	
				}
			}
		}
	}
}

- (void)mouseDragged:(NSEvent *)theEvent {
	dragged = TRUE;
}

- (void)rightMouseDown:(NSEvent *)theEvent {
	[docu openPopUpMenu:self];
}

@end
