//
//  MyDocument.h
//  MVV
//
//  Created by Eivind Danielsen on 10.03.09.
//  Copyright NTNU 2009 . All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>

@interface MyDocument : NSDocument
{
	IBOutlet QTMovieView * movieView1;
	IBOutlet QTMovieView * movieView2;
	IBOutlet QTMovieView * movieView3;
	IBOutlet QTMovieView * movieView4;
	IBOutlet QTMovieView * movieView5;
	IBOutlet id PlaylistPanel;
	IBOutlet NSTableView * mTableView;
	IBOutlet NSDrawer * mDrawer;
	IBOutlet NSSlider * mPositionSlider;
	IBOutlet NSSlider * mVolumeSlider;
	IBOutlet NSPopUpButton * popUpmenu;
	
	
	NSMutableArray * pathArray;
	NSMutableArray * pathArrayMovieViewIndex;
	NSMutableArray * qtMovieArray;
	NSArray * movieViewsArray;
	NSTimer * timer;
	NSPoint location;
	TimeScale timeScale;
	int playing;
	bool pause;
	bool initPlay;
}


- (IBAction)playVideo:(id)sender; //init, play and pause videos
- (IBAction)toggleDrawer:(id)sender; //toggle drawer
- (IBAction)openFilesToArray:(id)sender; //open dialog and put them in an array
- (IBAction)PlaylistPanelOpen:(id)sender;
- (IBAction)setTrackPosition:(id)sender;
- (IBAction)setVolume:(id)sender;
- (void)handleMovieViewClick:(QTMovieView *) sender; 
- (void)switchView:(int)i;
- (void)updateSlider:(id)timer;
- (id)drawer;
- (QTMovieView *)getMovieView:(int)i;
- (void)setMasterTime;
- (QTTime)getCurrentTime;
- (void)updateMovieView:(QTMovieView *) sender andPoint:(NSPoint)p;
- (int)numberOfRowsInTableView:(NSTableView *)tableView;
- (id)tableView:(NSTableView *)tableView objectValueForTableColumn:(NSTableColumn *)tableColumn row:(int)row;
- (void)openPopUpMenu:(id)sender;


@end
